searchNodes=[{"doc":"Number is a pretentiously-named library which provides functions to convert numbers into a variety of different formats. Ultimately, it aims to be a partial or complete clone of ActionView::Helpers::NumberHelper from Rails.If you want to import all of the functions provided by Number, simply use it in your module:defmodule MyModule do use Number endMore likely, you'll want to import the functions you want from one of Number's submodules.defmodule MyModule do import Number.Currency endConfigurationSome of Number's behavior can be configured through Mix. Each submodule contains documentation on how to configure it.","ref":"Number.html","title":"Number","type":"module"},{"doc":"","ref":"Number.html#t:t/0","title":"Number.t/0","type":"type"},{"doc":"Converts values to formats consumable by Number.","ref":"Number.Conversion.html","title":"Number.Conversion","type":"protocol"},{"doc":"Converts a value to a Decimal.","ref":"Number.Conversion.html#to_decimal/1","title":"Number.Conversion.to_decimal/1","type":"function"},{"doc":"Converts a value to a Float.","ref":"Number.Conversion.html#to_float/1","title":"Number.Conversion.to_float/1","type":"function"},{"doc":"","ref":"Number.Conversion.html#t:t/0","title":"Number.Conversion.t/0","type":"type"},{"doc":"Provides functions for converting numbers into formatted currency strings.","ref":"Number.Currency.html","title":"Number.Currency","type":"module"},{"doc":"Converts a number to a formatted currency string.Parametersnumber - A float or integer to convert.options - A keyword list of options. See the documentation of all available options below for more information.Options:unit - The currency symbol to use. Default: &quot;$&quot;:precision - The number of decimal places to include. Default: 2:delimiter - The character to use to delimit the number by thousands. Default: &quot;,&quot;:separator - The character to use to separate the number from the decimal places. Default: &quot;.&quot;:format - The format of the number. This can be used to put the currency symbol in a different place. See the examples for usage. There are two supported format string placeholders:%u - Represents the currency symbol, or unit.%n - Represents the number.:negative_format - The format of the number when it is negative. Uses the same formatting placeholders as the :format option.Default config for these options can be specified in the Number application configuration.config :number, currency: [ unit: &quot;£&quot;, precision: 2, delimiter: &quot;,&quot;, separator: &quot;.&quot;, format: &quot;%u%n&quot;, # &quot;£30.00&quot; negative_format: &quot;(%u%n)&quot; # &quot;(£30.00)&quot; ]Examplesiex&gt; Number.Currency.number_to_currency(nil) nil iex&gt; Number.Currency.number_to_currency(1000) &quot;$1,000.00&quot; iex&gt; Number.Currency.number_to_currency(1000, unit: &quot;£&quot;) &quot;£1,000.00&quot; iex&gt; Number.Currency.number_to_currency(-1000) &quot;-$1,000.00&quot; iex&gt; Number.Currency.number_to_currency(-234234.23) &quot;-$234,234.23&quot; iex&gt; Number.Currency.number_to_currency(1234567890.50) &quot;$1,234,567,890.50&quot; iex&gt; Number.Currency.number_to_currency(1234567890.506) &quot;$1,234,567,890.51&quot; iex&gt; Number.Currency.number_to_currency(1234567890.506, precision: 3) &quot;$1,234,567,890.506&quot; iex&gt; Number.Currency.number_to_currency(-1234567890.50, negative_format: &quot;(%u%n)&quot;) &quot;($1,234,567,890.50)&quot; iex&gt; Number.Currency.number_to_currency(1234567890.50, unit: &quot;R$&quot;, separator: &quot;,&quot;, delimiter: &quot;&quot;) &quot;R$1234567890,50&quot; iex&gt; Number.Currency.number_to_currency(1234567890.50, unit: &quot;R$&quot;, separator: &quot;,&quot;, delimiter: &quot;&quot;, format: &quot;%n %u&quot;) &quot;1234567890,50 R$&quot; iex&gt; Number.Currency.number_to_currency(Decimal.from_float(50.0)) &quot;$50.00&quot; iex&gt; Number.Currency.number_to_currency(Decimal.from_float(-100.01)) &quot;-$100.01&quot; iex&gt; Number.Currency.number_to_currency(Decimal.from_float(-100.01), unit: &quot;$&quot;, separator: &quot;,&quot;, delimiter: &quot;.&quot;, negative_format: &quot;- %u %n&quot;) &quot;- $ 100,01&quot;","ref":"Number.Currency.html#number_to_currency/2","title":"Number.Currency.number_to_currency/2","type":"function"},{"doc":"Provides functions to delimit numbers into strings.","ref":"Number.Delimit.html","title":"Number.Delimit","type":"module"},{"doc":"Formats a number into a string with grouped thousands using delimiter.Parametersnumber - A float or integer to convert.options - A keyword list of options. See the documentation of all available options below for more information.Options:precision - The number of decimal places to include. Default: 2:delimiter - The character to use to delimit the number by thousands. Default: &quot;,&quot;:separator - The character to use to separate the number from the decimal places. Default: &quot;.&quot;Default configuration for these options can be specified in the Number application configuration.config :number, delimit: [ precision: 3, delimiter: &quot;,&quot;, separator: &quot;.&quot; ]Examplesiex&gt; Number.Delimit.number_to_delimited(nil) nil iex&gt; Number.Delimit.number_to_delimited(998.999) &quot;999.00&quot; iex&gt; Number.Delimit.number_to_delimited(-234234.234) &quot;-234,234.23&quot; iex&gt; Number.Delimit.number_to_delimited(&quot;998.999&quot;) &quot;999.00&quot; iex&gt; Number.Delimit.number_to_delimited(&quot;-234234.234&quot;) &quot;-234,234.23&quot; iex&gt; Number.Delimit.number_to_delimited(12345678) &quot;12,345,678.00&quot; iex&gt; Number.Delimit.number_to_delimited(12345678.05) &quot;12,345,678.05&quot; iex&gt; Number.Delimit.number_to_delimited(12345678, delimiter: &quot;.&quot;) &quot;12.345.678.00&quot; iex&gt; Number.Delimit.number_to_delimited(12345678, delimiter: &quot;,&quot;) &quot;12,345,678.00&quot; iex&gt; Number.Delimit.number_to_delimited(12345678.05, separator: &quot; &quot;) &quot;12,345,678 05&quot; iex&gt; Number.Delimit.number_to_delimited(98765432.98, delimiter: &quot; &quot;, separator: &quot;,&quot;) &quot;98 765 432,98&quot; iex&gt; Number.Delimit.number_to_delimited(Decimal.from_float(9998.2)) &quot;9,998.20&quot; iex&gt; Number.Delimit.number_to_delimited &quot;123456789555555555555555555555555&quot; &quot;123,456,789,555,555,555,555,555,555,555,555.00&quot; iex&gt; Number.Delimit.number_to_delimited Decimal.new(&quot;123456789555555555555555555555555&quot;) &quot;123,456,789,555,555,555,555,555,555,555,555.00&quot;","ref":"Number.Delimit.html#number_to_delimited/2","title":"Number.Delimit.number_to_delimited/2","type":"function"},{"doc":"Provides functions for converting numbers into more human readable strings.","ref":"Number.Human.html","title":"Number.Human","type":"module"},{"doc":"Formats and labels a number with the appropriate English word.Examplesiex&gt; Number.Human.number_to_human(123) &quot;123.00&quot; iex&gt; Number.Human.number_to_human(1234) &quot;1.23 Thousand&quot; iex&gt; Number.Human.number_to_human(999001) &quot;999.00 Thousand&quot; iex&gt; Number.Human.number_to_human(1234567) &quot;1.23 Million&quot; iex&gt; Number.Human.number_to_human(1234567890) &quot;1.23 Billion&quot; iex&gt; Number.Human.number_to_human(1234567890123) &quot;1.23 Trillion&quot; iex&gt; Number.Human.number_to_human(1234567890123456) &quot;1.23 Quadrillion&quot; iex&gt; Number.Human.number_to_human(1234567890123456789) &quot;1,234.57 Quadrillion&quot; iex&gt; Number.Human.number_to_human(Decimal.new(&quot;5000.0&quot;)) &quot;5.00 Thousand&quot; iex&gt; Number.Human.number_to_human(&#39;charlist&#39;) ** (ArgumentError) number must be a float, integer or implement `Number.Conversion` protocol, was &#39;charlist&#39;","ref":"Number.Human.html#number_to_human/2","title":"Number.Human.number_to_human/2","type":"function"},{"doc":"Adds ordinal suffix (st, nd, rd or th) for the numberExamplesiex&gt; Number.Human.number_to_ordinal(3) &quot;3rd&quot; iex&gt; Number.Human.number_to_ordinal(1) &quot;1st&quot; iex&gt; Number.Human.number_to_ordinal(46) &quot;46th&quot; iex&gt; Number.Human.number_to_ordinal(442) &quot;442nd&quot; iex&gt; Number.Human.number_to_ordinal(4001) &quot;4001st&quot;","ref":"Number.Human.html#number_to_ordinal/1","title":"Number.Human.number_to_ordinal/1","type":"function"},{"doc":"Provides functions for converting numbers into percentages.","ref":"Number.Percentage.html","title":"Number.Percentage","type":"module"},{"doc":"Formats a number into a percentage string.Parametersnumber - A value to convert. Can be any value that implements Number.Conversion.to_float/1.options - A keyword list of options. See the documentation below for all available options.Options:precision - The number of decimal places to include. Default: 3:delimiter - The character to use to delimit the number by thousands. Default: &quot;,&quot;:separator - The character to use to separate the number from the decimal places. Default: &quot;.&quot;Default configuration for these options can be specified in the Number application configuration.config :number, percentage: [ delimiter: &quot;,&quot;, separator: &quot;.&quot;, precision: 2 ]Examplesiex&gt; Number.Percentage.number_to_percentage(100) &quot;100.000%&quot; iex&gt; Number.Percentage.number_to_percentage(&quot;98&quot;) &quot;98.000%&quot; iex&gt; Number.Percentage.number_to_percentage(100, precision: 0) &quot;100%&quot; iex&gt; Number.Percentage.number_to_percentage(1000, delimiter: &#39;.&#39;, separator: &#39;,&#39;) &quot;1.000,000%&quot; iex&gt; Number.Percentage.number_to_percentage(302.24398923423, precision: 5) &quot;302.24399%&quot; iex&gt; Number.Percentage.number_to_percentage(Decimal.from_float(59.236), precision: 2) &quot;59.24%&quot;","ref":"Number.Percentage.html#number_to_percentage/2","title":"Number.Percentage.number_to_percentage/2","type":"function"},{"doc":"Provides functions to convert numbers into formatted phone number strings.","ref":"Number.Phone.html","title":"Number.Phone","type":"module"},{"doc":"Formats a number into a US phone number (e.g., (555) 123-9876). You can customize the format in the options list.Parametersnumber - A float or integer to convert.options - A keyword list of options. See the documentation of all available options below for more information.Options:area_code - Adds parentheses around the area code if true.:delimiter - Specifies the delimiter to use (defaults to “-”).:extension - Specifies an extension to add to the end of the generated number.:country_code - Sets the country code for the phone number.Default config for these options can be specified in the Number application configuration.config :number, phone: [ area_code: false, delimiter: &quot;-&quot;, extension: nil, country_code: nil ]Examplesiex&gt; Number.Phone.number_to_phone(nil) nil iex&gt; Number.Phone.number_to_phone(5551234) &quot;555-1234&quot; iex&gt; Number.Phone.number_to_phone(&quot;5551234&quot;) &quot;555-1234&quot; iex&gt; Number.Phone.number_to_phone(1235551234) &quot;123-555-1234&quot; iex&gt; Number.Phone.number_to_phone(1235551234, area_code: true) &quot;(123) 555-1234&quot; iex&gt; Number.Phone.number_to_phone(1235551234, delimiter: &quot; &quot;) &quot;123 555 1234&quot; iex&gt; Number.Phone.number_to_phone(1235551234, area_code: true, extension: 555) &quot;(123) 555-1234 x 555&quot; iex&gt; Number.Phone.number_to_phone(1235551234, area_code: true, extension: 555, country_code: 1) &quot;+1 (123) 555-1234 x 555&quot; iex&gt; Number.Phone.number_to_phone(1235551234, country_code: 1) &quot;+1-123-555-1234&quot; iex&gt; Number.Phone.number_to_phone(&quot;123a456&quot;) &quot;123a456&quot; iex&gt; Number.Phone.number_to_phone(1235551234, country_code: 1, extension: 1343, delimiter: &quot;.&quot;) &quot;+1.123.555.1234 x 1343&quot;","ref":"Number.Phone.html#number_to_phone/2","title":"Number.Phone.number_to_phone/2","type":"function"},{"doc":"Provides functions for formatting numbers using SI notation.","ref":"Number.SI.html","title":"Number.SI","type":"module"},{"doc":"Format numbers using SI notationParametersnumber - A value to convert. Can be any value that implements Number.Conversion.to_float/1.options - A keyword list of options. See the documentation below for all available options.Options:base - Use 1024 if you wish to format bytes. Default: 1000:separator - The string to place between the scaled number and the prefix + unit. Perhaps you want a space here. Default: &quot;&quot;:unit - The unit of measurement, e.g. &quot;M&quot; for Meters. Default: &quot;&quot;:precision - The number of decimal places to include. Default: 2:trim - Trim trailing zeros. Default: falseDefault configuration for these options can be specified in the Number application configuration.config :number, si: [ separator: &quot; &quot;, precision: 4, trim: true ]Examplesiex&gt; Number.SI.number_to_si(1210000000, unit: &quot;W&quot;) &quot;1.21GW&quot; iex&gt; Number.SI.number_to_si(1210000000, unit: &quot;W&quot;, precision: 1) &quot;1.2GW&quot; iex&gt; Number.SI.number_to_si(1210000000, unit: &quot;W&quot;, precision: 3, separator: &quot; &quot;) &quot;1.210 GW&quot; iex&gt; Number.SI.number_to_si(1210000000, unit: &quot;W&quot;, precision: 5, trim: true) &quot;1.21GW&quot; iex&gt; Number.SI.number_to_si(1210000000) &quot;1.21G&quot; iex&gt; Number.SI.number_to_si(Decimal.new(1210000000)) &quot;1.21G&quot; iex&gt; Number.SI.number_to_si(&#39;charlist&#39;) ** (ArgumentError) number must be a float, integer or implement `Number.Conversion` protocol, was &#39;charlist&#39;","ref":"Number.SI.html#number_to_si/2","title":"Number.SI.number_to_si/2","type":"function"}]